Tyvärr tycks det som om Apple än en gång är på väg att höja systemkravet för iOS. Enligt dokumentationen för betaversionen av 4.3 slopas nämligen stödet för iPhone 3G och andra generationens iPod Touch. Därmed får användare av dessa enheter hålla fast vid 4.2.1 tills det är dags att skaffa en ny apparat.


För att använda iOS 4.3 krävs iPhone 3GS eller senare.

Apple utsattes för viss kritik när man slopade stödet för första generationens iPhone och iPod Touch när man i somras lanserade iOS 4.0. Därefter fick företaget ny kritik när det framkom att vissa funktioner i 4.x inte fungerade ens om man hade den andra generationens iPhone eller iPod Touch, däribland det hett efterlängtade stödet för multitasking i tredjepartsprogram.

I rättvisans namn har Apple varit ganska generösa med uppdateringar om man jämför med konkurrenterna. Den som skaffade en iPhone 3G sommaren 2008 har exempelvis kunnat ladda ner inte mindre än femton systemuppdateringar till sin mobil, samtliga utan extra kostnad.

Läs om nyheterna i iOS 4.3 här.